package models

import (
	"database/sql/driver"

	"github.com/jackc/pgtype"
)

// Scan implements the database/sql Scanner interface.
func (m *Metadata) Scan(src interface{}) error {
	if src == nil {
		*m = nil
		return nil
	}

	var store pgtype.Hstore
	if err := store.Scan(src); err != nil {
		return err
	}

	if store.Status == pgtype.Null {
		*m = nil
		return nil
	}

	return store.AssignTo((*map[string]string)(m))
}

// Value implements the database/sql/driver Valuer interface.
func (m Metadata) Value() (driver.Value, error) {
	var store pgtype.Hstore
	if err := store.Set(map[string]string(m)); err != nil {
		return nil, err
	}
	return store.Value()
}
