// Code generated by go-swagger; DO NOT EDIT.

package user_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"orus.io/orus-io/rednerd/models"
)

// UserDeleteNoContentCode is the HTTP code returned for type UserDeleteNoContent
const UserDeleteNoContentCode int = 204

/*UserDeleteNoContent The user was successfully deleted

swagger:response userDeleteNoContent
*/
type UserDeleteNoContent struct {
}

// NewUserDeleteNoContent creates UserDeleteNoContent with default headers values
func NewUserDeleteNoContent() *UserDeleteNoContent {

	return &UserDeleteNoContent{}
}

// WriteResponse to the client
func (o *UserDeleteNoContent) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(204)
}

// UserDeleteUnauthorizedCode is the HTTP code returned for type UserDeleteUnauthorized
const UserDeleteUnauthorizedCode int = 401

/*UserDeleteUnauthorized Unauthorized

swagger:response userDeleteUnauthorized
*/
type UserDeleteUnauthorized struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserDeleteUnauthorized creates UserDeleteUnauthorized with default headers values
func NewUserDeleteUnauthorized() *UserDeleteUnauthorized {

	return &UserDeleteUnauthorized{}
}

// WithPayload adds the payload to the user delete unauthorized response
func (o *UserDeleteUnauthorized) WithPayload(payload *models.Error) *UserDeleteUnauthorized {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user delete unauthorized response
func (o *UserDeleteUnauthorized) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserDeleteUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(401)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

// UserDeleteNotFoundCode is the HTTP code returned for type UserDeleteNotFound
const UserDeleteNotFoundCode int = 404

/*UserDeleteNotFound the user does not exist

swagger:response userDeleteNotFound
*/
type UserDeleteNotFound struct {
}

// NewUserDeleteNotFound creates UserDeleteNotFound with default headers values
func NewUserDeleteNotFound() *UserDeleteNotFound {

	return &UserDeleteNotFound{}
}

// WriteResponse to the client
func (o *UserDeleteNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(404)
}

/*UserDeleteDefault generic error response

swagger:response userDeleteDefault
*/
type UserDeleteDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserDeleteDefault creates UserDeleteDefault with default headers values
func NewUserDeleteDefault(code int) *UserDeleteDefault {
	if code <= 0 {
		code = 500
	}

	return &UserDeleteDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the user delete default response
func (o *UserDeleteDefault) WithStatusCode(code int) *UserDeleteDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the user delete default response
func (o *UserDeleteDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the user delete default response
func (o *UserDeleteDefault) WithPayload(payload *models.Error) *UserDeleteDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user delete default response
func (o *UserDeleteDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserDeleteDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
