// Code generated by go-swagger with a alpe-api template; DO NOT EDIT.

// Copyright Orus.io team

package user_management

import (
	"net/http"

	"github.com/prometheus/client_golang/prometheus"
	"github.com/prometheus/client_golang/prometheus/promhttp"
)

var (
	userListHandlerDuration = prometheus.NewSummaryVec(
		prometheus.SummaryOpts{
			Name:       "alpe_api_handler",
			Help:       "The handlers duration and count.",
			Objectives: map[float64]float64{0.9: 0.01, 0.95: 0.01, 0.99: 0.001},
			ConstLabels: map[string]string{
				"service": "user-list",
			},
		},
		[]string{"code"},
	)

	userListHandlerInFlight = prometheus.NewGauge(
		prometheus.GaugeOpts{
			Name: "alpe_api_handler_in_flights",
			Help: "The number of handlers currently running.",
			ConstLabels: map[string]string{
				"service": "user-list",
			},
		},
	)
)

func UserListInstrumentHandler(handler http.Handler) http.Handler {
	return promhttp.InstrumentHandlerInFlight(userListHandlerInFlight,
		promhttp.InstrumentHandlerDuration(userListHandlerDuration,
			handler,
		),
	)
}

func init() {
	prometheus.MustRegister(
		userListHandlerDuration,
		userListHandlerInFlight,
	)
}
